bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: compiling error


From: Jim Meyering
Subject: Re: compiling error
Date: Wed, 13 Aug 2008 10:47:13 +0200

Ralf Wildenhues <address@hidden> wrote:
> FAIL: cp/thru-dangling.log (exit: 1)
> ====================================
...
> --- out 2008-08-12 19:24:01.000000000 +0000
> +++ exp 2008-08-12 19:24:01.000000000 +0000
> @@ -1,2 +1 @@
> -+ POSIXLY_CORRECT=1
>  hi

Hi Jeph and Ralf,
The problem is the same with cp/thru-dangling.
I'm hoping this works around the bogus shell in AIX 5.3:

>From e4cef1d9b45225327e4f95148358f214957663fa Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Wed, 13 Aug 2008 10:40:58 +0200
Subject: [PATCH] set envvars via "env" to avoid spurious set -x output from bad 
shells

* tests/dd/misc: Set LC_ALL=C via env.
* tests/cp/thru-dangling: Set POSIXLY_CORRECT via env.
This is necessary at least on AIX 5.3.
Reported by Jeph Cowan and Ralf Wildenhues.  Details here:
http://thread.gmane.org/gmane.comp.gnu.coreutils.bugs/14235/focus=14257
---
 tests/cp/thru-dangling |    2 +-
 tests/dd/misc          |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests/cp/thru-dangling b/tests/cp/thru-dangling
index 71b41cd..7caeed3 100755
--- a/tests/cp/thru-dangling
+++ b/tests/cp/thru-dangling
@@ -38,7 +38,7 @@ compare err exp-err || fail=1
 test -f no-such && fail=1

 # But you can set POSIXLY_CORRECT to get the historical behavior.
-POSIXLY_CORRECT=1 cp f dangle > out 2>&1 || fail=1
+env POSIXLY_CORRECT=1 cp f dangle > out 2>&1 || fail=1
 cat no-such >> out || fail=1

 compare out exp || fail=1
diff --git a/tests/dd/misc b/tests/dd/misc
index e550d6a..04318f0 100755
--- a/tests/dd/misc
+++ b/tests/dd/misc
@@ -89,7 +89,7 @@ outbytes=`echo x | dd bs=3 ibs=10 obs=10 conv=sync 
2>/dev/null | wc -c`
 test "$outbytes" -eq 3 || fail=1

 (echo a; sleep .1; echo b) \
-  | LC_ALL=C dd bs=4 status=noxfer iflag=fullblock >out 2>err || fail=1
+  | env LC_ALL=C dd bs=4 status=noxfer iflag=fullblock >out 2>err || fail=1
 printf 'a\nb\n' > out_ok || framework_failure
 echo "1+0 records in
 1+0 records out" > err_ok || framework_failure
--
1.6.0.rc2.38.g413e06




reply via email to

[Prev in Thread] Current Thread [Next in Thread]